## pixelmed 20220618%2Bdfsg

=== pixelmed/ftp/Makefile ===
PATHTOROOT = ../../..

OBJS = \
FTPApplicationProperties.class \
FTPClientApplicationConfigurationDialog.class \
FTPException.class \
FTPFileSender.class \
FTPRemoteHost.class \
FTPRemoteHostConfigurationDialog.class \
FTPRemoteHostInformation.class \
FTPSecurityType.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ${PATHTOROOT}/ftp.`date '+%Y%m%d'`.tar.gz

testftpfilesendesecure:	FTPFileSender.class
	echo "Hello, world." >/tmp/testftpfilesendesecure.tmp
	java -cp ${PATHTOROOT}:${FTPADDITIONALJARS} com.pixelmed.ftp.FTPFileSender \
		ftpstest.forus.com ftp_testing ftp_testing - SECURE RANDOM \
		/tmp/testftpfilesendesecure.tmp
	rm /tmp/testftpfilesendesecure.tmp


testremotehostconfigurationdialog:	${OBJS}
	java -cp ${PATHTOROOT}:${FTPADDITIONALJARS} \
		com.pixelmed.ftp.FTPRemoteHostConfigurationDialog

testconfigurator:	${OBJS}
	#if [ -f /tmp/testproperties ]; then mv /tmp/testproperties /tmp/testproperties.old; fi
	touch /tmp/testproperties
	java -cp ${PATHTOROOT}:${FTPADDITIONALJARS} \
		com.pixelmed.ftp.FTPClientApplicationConfigurationDialog /tmp/testproperties
	if [ -f /tmp/testproperties.old ]; then echo "Comparing old properties file with new"; diff /tmp/testproperties.old /tmp/testproperties; fi
	echo "Saved properties file contains ..."
	cat /tmp/testproperties
	#rm -f /tmp/testproperties

=== pixelmed/server/Makefile ===
PATHTOROOT = ../../..

OBJS = \
DicomAndWebStorageServer.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../server.`date '+%Y%m%d'`.tar.gz

cleantestserver:
	# must match what is defined in testserver.properties
	rm -rf /tmp/testserverdb.* /tmp/testserverimages

testserver:	${OBJS}
	java -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} \
		-Dorg.slf4j.simpleLogger.defaultLogLevel=info \
		-Dorg.slf4j.simpleLogger.log.com.pixelmed.database.DatabaseInformationModel=info \
		-Dorg.slf4j.simpleLogger.log.com.pixelmed.database.DicomDatabaseQueryResponseGenerator=info \
		-Dorg.slf4j.simpleLogger.log.com.pixelmed.network.StorageSOPClassSCP=debug \
		-Dorg.slf4j.simpleLogger.showDateTime=true \
		com.pixelmed.server.DicomAndWebStorageServer \
		testserver.properties

testservernoargs:	${OBJS}
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer

testserverwithjaronly:
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}/pixelmed.jar:${PATHTOADDITIONAL}/aiviewer.jar:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer testserver.properties

graymaxserver:
	java  -Djava.awt.headless=true -Xmx256m -cp ${PATHTOROOT}/pixelmed.jar:${PATHTOADDITIONAL}/aiviewer.jar:${SERVERADDITIONALJARS} com.pixelmed.server.DicomAndWebStorageServer graymax.properties

=== pixelmed/test/Makefile ===
PATHTOROOT = ../../..

OBJS = \
TestCodingScheme_AllTests.class \
TestCodingSchemeIdentification.class \
TestCommonDoseObserverContext.class \
TestCompositeInstanceContext_AllTests.class \
TestCompositeInstanceContext.class \
TestCTAcquisitionParameters.class \
TestCTDose_AllTests.class \
TestCTDose.class \
TestCTDoseAcquisition.class \
TestCTIrradiationEventDataFromImages.class \
TestCTScanType.class \
TestCTPhantomType.class \
TestDeviceParticipant.class \
TestGetPrivate_AllTests.class \
TestGetPrivateFromAttributeList.class \
TestPersonParticipant.class \
TestRecordingDeviceObserverContext.class \
TestRoleInOrganization.class \
TestRoleInProcedure.class \
TestScanRange.class \
TestScopeOfDoseAccummulation.class \
TestSourceOfDoseInformation.class \
TestSafePrivate_AllTests.class \
TestSafePrivatePhilipsPETRelated.class \
TestSafePrivatePhilipsDoseRelated.class \
TestSafePrivateGEDoseRelated.class \
TestSafePrivateGEPACSRelated.class \
TestSafePrivateGEMRRelated.class \
TestSafePrivateNQResultsRelated.class \
TestSafePrivateSiemensUltrasoundRawDataRelated.class \
TestAttributeList_AllTests.class \
TestPrivateCreatorValueRepresentation.class \
TestContentItem_AllTests.class \
TestCodeContentItemValueMatching.class \
TestCharacterSet_AllTests.class \
TestCharacterSetStringAttribute.class \
TestCharacterSetTextAttribute.class \
TestSuitableCharacterSet.class \
TestCleaner_AllTests.class \
TestCleanerReceiveAndClean.class \
TestAnatomy_AllTests.class \
TestAnatomyConcept.class \
TestAnatomyCombined.class \
TestAnatomyFind.class \
TestLaterality.class \
TestGeometry_AllTests.class \
TestGeometryOfSlice.class \
TestDecimalStringAttributeLocaleEffect.class \
TestDecimalStringAttribute_AllTests.class \
TestDicomDirectory_AllTests.class \
TestDicomDirectoryRecordFactory.class \
TestDicomDirectoryRecordSortOrder.class \
TestDicomNetwork_AllTests.class \
TestCStore.class \
TestCStore_AETs.class \
TestCStore_ConvertTransferSyntaxes.class \
TestCMove.class \
TestFloatFormatterLocaleEffect.class \
TestFloatFormatter_AllTests.class \
TestNumericContentItemFloatingAndRational.class \
TestNumericContentItemLocaleEffect.class \
TestRemoveIdentifyingAttributes.class \
TestPatientAgeWhenRemoveIdentifyingAttributes.class \
TestRemoveIdentifyingAttributes_AllTests.class \
TestSpatialCoordinatesContentItemLocaleEffect.class \
TestSpatialCoordinates3DContentItemLocaleEffect.class \
TestSUVTransformValues.class \
TestSUVTransform_AllTests.class \
TestUnknownAttributeBinaryValueExtraction.class \
TestUnknownAttribute_AllTests.class \
TestUUIDBasedOID_AllTests.class \
TestUUIDBasedOID.class \
TestBase64_AllTests.class \
TestBase64_RoundTrip.class \
TestAgeCalculation.class \
TestDates_AllTests.class \
TestDateTimeAttribute_AllTests.class \
TestDateTimeAttributeTimeSinceEpochExtraction.class \
TestDateTimeAttributeTimeZone.class \
TestSequenceAttributeDelimitedString.class \
TestSequenceAttributeStringsWithinItems.class \
TestSequenceAttributeModifiedOriginalAttributes.class \
TestSequenceAttribute_AllTests.class \
TestStructuredReport_AllTests.class \
TestStructuredReport_XMLRepresentation.class \
TestThreadUtilitiesEventDispatchThread.class \
TestThreadUtilities_AllTests.class \
TestDatabase_AllTests.class \
TestDatabaseDateTimeConversionInsertion.class \
TestMultiFrameImageFactory_AllTests.class \
TestMultiFrameImageFactoryDateTime.class \
TestColorConversions_AllTests.class \
TestColorConversions_SRGB_CIELabPCS.class \
TestAttributeListReadTerminationStrategy.class \
TestRepairAttributeValues_AllTests.class \
TestRepairAttributeValues.class \
TestCodedSequenceItem_AllTests.class \
TestCodedSequenceItemParseStringTuple.class \
TestCodedSequenceItemGetCodeMeaning.class \
TestPackBits_AllTests.class \
TestPackBits_UnPack.class \
TestCapabilitiesAbsent_AllTests.class \
TestCapabilitiesPresent_AllTests.class \
TestCapabilitiesCodecsAbsent.class \
TestCapabilitiesCodecsPresent.class \
TestDicomStreamCopier_AllTests.class \
TestDicomStreamCopier_ConvertTransferSyntaxes.class \
TestDecompressedImagePixelModuleAndLossyImageCompressionHistory.class \
TestUnknownSequenceValueRepresentation.class \
TestBinaryAttribute_AllTests.class \
TestBinaryAttributeBinaryInputOutput.class \
TestAttributeListReadUnspecifiedShortAttribute.class \
TestAttributeListWriteAndReadTextAttribute.class \
TestAttributeListWriteAndReadMetaInformation.class \
TestHierarchicalFileName_AllTests.class \
TestHierarchicalFileName.class \
TestStringUtilities_AllTests.class \
TestStringUtilities.class \
TestDeidentify_AllTests.class \
TestDeidentify.class \
TestDeidentifyStructuredContent.class \
TestDicomFileUtilities_AllTests.class \
TestIsDicomFile.class \
TestJSON_AllTests.class \
TestJSONRepresentation.class \
TestJSONRepresentationOfStructuredReport.class \
TestOverlay_AllTests.class \
TestOverlayCreation.class \
TestDisplayAnnotations_AllTests.class \
TestLossyImageCompressionDisplayAnnotation.class \
UserInterfaceUtilities.class

all:	${OBJS}

include ${PATHTOROOT}/Makefile.common.mk

archive:
	tar -cvf - Makefile *.java | gzip -best > ../../../test.`date '+%Y%m%d'`.tar.gz

clean:
	rm -f *~ *.class core *.bak ${OBJS} testcleanerfile.dcm

alltests:	testoverlay testjson testbinaryattr testdicomstreamcopier testcolorconv testsr testdatetime testsuv testfloatformatter testdecimalstring testunkown testctdose testcompositecontext testsafeprivate testremoveid testattributelist \
			testcontentitem testcodingscheme testcharset testcleaner testanatomy testgeometry testdicomdir testnetwork testuuid testbase64 testdates testsequence \
			testthread testdatabase testmultiframe testrepair testcodedsequenceitem testpackbits testcapabilitiespresent testcapabilitiesabsent testhierarchicalfilename \
			teststring testdeid testisdicomfile testdispann

testdispann:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDisplayAnnotations_AllTests

testisdicomfile:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomFileUtilities_AllTests

testdeid:	TestDeidentify_AllTests.class TestDeidentify.class TestDeidentifyStructuredContent.class
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDeidentify_AllTests

teststring:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestStringUtilities_AllTests

testhierarchicalfilename:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestHierarchicalFileName_AllTests

testdicomstreamcopier:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDicomStreamCopier_AllTests

testcapabilitiespresent:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${JPEGBLOCKREDACTIONJAR}:${BZIP2ADDITIONALJAR}:${JIIOADDITIONALJARS} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCapabilitiesPresent_AllTests

testcapabilitiesabsent:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCapabilitiesAbsent_AllTests

testpackbits:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestPackBits_AllTests
			
testcodedsequenceitem:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCodedSequenceItem_AllTests
			
testcolorconv:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestColorConversions_AllTests
			
testmultiframe:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR}:${VECMATHADDITIONALJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestMultiFrameImageFactory_AllTests

testdatetime:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDateTimeAttribute_AllTests

testsuv:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestSUVTransform_AllTests

testfloatformatter:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestFloatFormatter_AllTests

testdecimalstring:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestDecimalStringAttribute_AllTests

testunkown:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestUnknownAttribute_AllTests

testctdose:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCTDose_AllTests

testcompositecontext:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCompositeInstanceContext_AllTests

testgetprivate:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestGetPrivate_AllTests

testsafeprivate:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true -Dcom.pixelmed.test.filepath=${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/SafePrivateTestImages org.junit.runner.JUnitCore com.pixelmed.test.TestSafePrivate_AllTests

testremoveid:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestRemoveIdentifyingAttributes_AllTests

testattributelist:	${OBJS}
	rm -f testcstorefile_*.dcm
	cp "${PATHTOROOT}/${PATHTOTESTFILESFROMROOT}/medical.nema.org/MEDICAL/Dicom/DataSets/WG12/GE_VingMed/GEMS_IMG/2001_DEC/10/3M181115/2929IUO2" testcstorefile_jpegbaseline.dcm
	java -cp ${PATHTOROOT}:${JUNITJAR} -Dorg.slf4j.simpleLogger.defaultLogLevel=info -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestAttributeList_AllTests
	rm testcstorefile_*.dcm

testcontentitem:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestContentItem_AllTests

testcodingscheme:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCodingScheme_AllTests

testcharset:	${OBJS}
	java -cp ${PATHTOROOT}:${JUNITJAR} -Djava.awt.headless=true org.junit.runner.JUnitCore com.pixelmed.test.TestCharacterSet_AllTests

testcleaner:	TestCleaner_AllTests.class TestCleanerReceiveAndClean.class UserInterfaceUtilities.class
	rm -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner
	if [ -f $${HOME}/.com.pixelmed.display.DicomCleaner.properties ]; then cp $${HOME}/.com.pixelmed.display.DicomCleaner.properties $${HOME}/.com.pixelmed.display.DicomCleaner.properties.holdfortestcleaner; fi
	cp TestCleaner.properties $${HOME}/.com.pixelmed.display.DicomCleaner.properties
	mkdir -p ./tmp/TestCleanerReceiveAndClean
	rm -rf ./tmp/TestCleanerReceiveAndClean/*
	rm -f testcleanerfile_pre.dcm testcleanerfile.dcm
	dcsmpte testcleanerfile.dcm \
		-nodisclaimer \
		-r PatientName             "Test^OriginalName" \
		-r PatientID               "TESTORIGINALID" \
		-r AccessionNumber         "TESTORIGINALNUM" \
		-r StudyID			       "TESTORIGINALID" \
		-r InstitutionName         "Original Institution" \
		-r DeviceSerialNumber      "Original Serial Number" \
		-r PatientWeight           "57.5" \
		-r PatientSize             "175" \
		-r PatientSex              "F" \
		-r PatientAge              "041Y" \
		-r PatientBirthDate        "19700214" \
		-r StudyDescription        "Original Study Description" \
		-r SeriesDescription       "Original Series Description" \
		-r ImageComments           "Original Image Comment" \
		-r SOPInstanceUID          "1.3.6.1.4.1.5962.1.1.0.0.0.1298308902.23788.0" \

=== debian/control ===
Source: pixelmed
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 13),
               javahelper
Build-Depends-Indep: default-jdk,
                     junit4,
                     libcommons-codec-java,
                     libcommons-compress-java,
                     libcommons-net-java (>= 3),
                     libhsqldb-java,
                     libjaxb-api-java,
                     libjmdns-java,
                     libjsonp-java,
                     libpixelmed-codec-java,
                     libpixelmed-imageio-java,
                     libvecmath-java
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/med-team/pixelmed
Vcs-Git: https://salsa.debian.org/med-team/pixelmed.git
Homepage: http://www.pixelmed.com
Rules-Requires-Root: no

Package: libpixelmed-java
Architecture: all
Section: java
Depends: ${java:Depends}, ${misc:Depends}
Recommends: libpixelmed-imageio-java
Suggests: libpixelmed-java-doc
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.

Package: libpixelmed-java-doc
Architecture: all
Section: doc
Depends: doc-base, ${misc:Depends}
Suggests: libpixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - doc
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the documentation package for libpixelmed-java

Package: pixelmed-apps
Architecture: all
Section: utils
Depends: default-jre-headless (>= 2:1.7) | java7-runtime-headless,
         java-wrappers,
         libpixelmed-java (= ${binary:Version}),
         ${misc:Depends}
Conflicts: pixelmed-java
Replaces: pixelmed-java
Description: DICOM implementation containing Image Viewer and a ECG Viewer - cli
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide command line applications for using pixelmed

Package: pixelmed-webstart-apps
Architecture: all
Section: utils
Depends: libbcprov-java,
         libpixelmed-java (= ${binary:Version}),
         ${misc:Depends}
Description: DICOM implementation containing Image Viewer and a ECG Viewer - jnlp
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 Provide JNLP applications as command line apps

Package: pixelmed-www
Architecture: all
Section: web
Depends: pixelmed-webstart-apps (= ${binary:Version}), ${misc:Depends}
Description: DICOM implementation containing Image Viewer and a ECG Viewer - web
 This is a stand-alone DICOM toolkit that implements code for reading
 and creating DICOM data, DICOM network and file support, a database of
 DICOM objects, support for display of directories, images, reports and
 spectra, and DICOM object validation.
 .
 This is the web package. Depends on JNLP applications, provides HTML pages
